<div class="p-20">

	<div class="mb-20">
		<div class="breadcrumbs ">
			<a class="breadcrumbs__item"
				[routerLink]="['../../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span>
			      Список приемных кампаний
			    </span>
			</a>

			<ng-container *ngIf="idCampaign">
				<span> /</span>
				<a class="breadcrumbs__item"
					[routerLink]="['../../', idCampaign, 'admission']">
					<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
					<span >
				     Контрольные цифры приема
				</span>
				</a>

			</ng-container>

		</div>
		<div>
			<h2 fxFlex="">Добавление контрольных цифр приема</h2>
			<button mat-flat-button color="primary" (click)="save()" [disabled]="!admissionForm.valid">
				<mat-icon svgIcon="check"></mat-icon>
				Сохранить
			</button>
		</div>




		<!--<button type="submit" mat-raised-button
			color="primary"
			[disabled]="form.invalid"
			(click)="submit()">Создать
		</button>-->

	</div>

	<section fxLayoutAlign="center start ">
		<mat-card class="art-card" fxFlex="">
			<mat-card-content>
				<form [formGroup]="admissionForm" >

					<div fxLayout="row" >
						<mat-form-field appearance="fill" fxFlex="">
							<mat-label>Приемная капания</mat-label>
							<mat-select formControlName="id_campaign"
								[appDisableControl]="idCampaign >= 0"
								required>
								<ngx-mat-select-search
									[placeholderLabel]="'Поиск'"
									[noEntriesFoundLabel]="'Данные не найдены'"
									[(ngModel)]="search.campaign"  [ngModelOptions]="{standalone: true}">
									<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
								</ngx-mat-select-search>
								<mat-option *ngFor="let item of cls.campaign.data | filter: search.campaign " [value]="item.id">
									{{item.name}}
								</mat-option>
							</mat-select>
						</mat-form-field>

					</div>

					<div class="mb-16" fxLayoutGap='16px'>
						<span fxFlex=""></span>
						<button mat-stroked-button (click)="addContorls()">
							<mat-icon svgIcon="plus"></mat-icon>
							Добавить направление подготовки
						</button>
					</div>



					<div>
						<div formArrayName="data">
							<ng-container *ngFor="let data of items.controls; index as i">
								<div [formGroupName]="i" fxLayout="row wrap"  fxLayoutAlign="start center"  fxLayoutGap='16px'>
									<mat-form-field appearance="fill" fxFlex="">
										<mat-label> Уровень образования</mat-label>
										<mat-select formControlName="id_education_level"
											(valueChange)="editEducation($event, i)">
											<mat-option *ngFor="let item of cls.education_level.data" [value]="item.id">
												{{item.name}}
											</mat-option>
										</mat-select>
									</mat-form-field>
									<mat-form-field appearance="fill" fxFlex="">
										<mat-label> Группа специальностей</mat-label>
										<mat-select formControlName="id_group_speciality" (valueChange)="editGroupspeciality($event, i)" >

											<ngx-mat-select-search
												[placeholderLabel]="'Поиск'"
												[noEntriesFoundLabel]="'Данные не найдены'"
												[(ngModel)]="search.items[i].group_speciality" [ngModelOptions]="{standalone: true}">
												<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
											</ngx-mat-select-search>


											<mat-option *ngFor="let item of cls.items[i].group_speciality$ | async | filter: search.items[i].group_speciality"
														[value]="item.id">
												{{item.name}}
											</mat-option>
											<mat-option *ngIf="!data.get('id_education_level').value"
												disabled>
												Необходимо выбрать уровень образования
											</mat-option>


										</mat-select>


									</mat-form-field>
									<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
										<mat-label> Направление подготовки</mat-label>
										<mat-select formControlName="id_speciality" multiple>
											<ngx-mat-select-search
												[placeholderLabel]="'Поиск'"
												[noEntriesFoundLabel]="'Данные не найдены'"
												[(ngModel)]="search.items[i].speciality" [ngModelOptions]="{standalone: true}">
												<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
											</ngx-mat-select-search>
											<mat-option *ngFor="let item of cls.items[i].speciality$ | async | filter: search.items[i].speciality" [value]="item.id">
												{{item.name}}
											</mat-option>
											<mat-option *ngIf="!data.get('id_group_speciality').value" disabled >
												Необходимо выбрать группу специальностей
											</mat-option>
										</mat-select>
									</mat-form-field>


									<div *ngIf="items.controls.length > 1" >
										<button mat-flat-button (click)="del(i)">
											<mat-icon svgIcon="close"></mat-icon>
											<span> Удалить </span>
										</button>
									</div>


								</div>
							</ng-container>
						</div>

					</div>

					<!--{{admissionForm.value | json}}-->



				</form>


			</mat-card-content>
		</mat-card>

	</section>
</div>





